## ros-noetic-sbg-driver 3.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sbg_driver)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  sensor_msgs
  std_msgs
  std_srvs
  geometry_msgs
  message_generation
  nav_msgs
  tf2_ros
  tf2_msgs
  tf2_geometry_msgs
)

################################################
## Declare ROS messages, services and actions ##
################################################

## Generate messages in the 'msg' folder
add_message_files(FILES
  SbgGpsVelStatus.msg
  SbgGpsPosStatus.msg
  SbgMagStatus.msg
  SbgShipMotionStatus.msg
  SbgUtcTimeStatus.msg

  SbgAirData.msg
  SbgAirDataStatus.msg
  SbgEkfEuler.msg
  SbgGpsPos.msg
  SbgMag.msg
  SbgStatusCom.msg
  SbgEkfNav.msg
  SbgGpsRaw.msg
  SbgOdoVel.msg
  SbgStatusGeneral.msg
  SbgEkfQuat.msg
  SbgGpsVel.msg
  SbgStatus.msg
  SbgEvent.msg
  SbgImuStatus.msg
  SbgImuData.msg
  SbgImuShort.msg
  SbgShipMotion.msg
  SbgUtcTime.msg
  SbgGpsHdt.msg
  SbgMagCalib.msg
  SbgStatusAiding.msg
  SbgEkfStatus.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(DEPENDENCIES
  std_msgs
  nav_msgs
  geometry_msgs
)

###################################
## catkin specific configuration ##
###################################

catkin_package(
  INCLUDE_DIRS src
  #LIBRARIES ${PROJECT_NAME} 
  CATKIN_DEPENDS 
    message_runtime 
    roscpp
    sensor_msgs
    std_msgs
    std_srvs
    geometry_msgs
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
add_subdirectory(external/sbgECom)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${PROJECT_SOURCE_DIR}/include/sbg_driver/
  ${PROJECT_SOURCE_DIR}/external/sbgECom/common
  ${PROJECT_SOURCE_DIR}/external/sbgECom/src
)

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
# add_dependencies(sbg ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Define common resources.
set (SBG_COMMON_RESOURCES
  src/config_applier.cpp
  src/message_publisher.cpp
  src/message_wrapper.cpp
  src/config_store.cpp
  src/sbg_device.cpp
)

## Declare a C++ executable
add_executable(sbg_device ${SBG_COMMON_RESOURCES} src/main.cpp)
add_dependencies(sbg_device ${sbg_driver_EXPORTED_TARGETS})
target_compile_options(sbg_device PRIVATE -Wall -Wextra)

add_executable(sbg_device_mag ${SBG_COMMON_RESOURCES} src/main_mag.cpp)
add_dependencies(sbg_device_mag ${sbg_driver_EXPORTED_TARGETS})
target_compile_options(sbg_device_mag PRIVATE -Wall -Wextra)

## Specify libraries to link a library or executable target against
target_link_libraries(sbg_device ${catkin_LIBRARIES} sbgECom)
target_link_libraries(sbg_device_mag ${catkin_LIBRARIES} sbgECom)

set_property(TARGET sbg_device PROPERTY CXX_STANDARD 11)
set_property(TARGET sbg_device_mag PROPERTY CXX_STANDARD 11)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executables and/or libraries for installation
install(TARGETS sbg_device sbg_device_mag
#   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
  PATTERN ".git" EXCLUDE
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
  PATTERN ".git" EXCLUDE)

install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
  PATTERN ".git" EXCLUDE)

#############
## Testing ##
#############

=== debian/changelog ===
ros-noetic-sbg-driver (3.1.1-7buster) buster; urgency=high

  * fix missing dependencies and build status link
    - missing dep on nav_msgs, tf2_geometry_msgs, tf2_ros and tf2_msgs
    - fix build status link in readme
  * update doc with odometry message
  * Contributors: Michael Zemb

 -- SBG Systems <support@sbg-systems.com>  Thu, 14 Oct 2021 22:00:00 -0000

ros-noetic-sbg-driver (3.1.0-7buster) buster; urgency=high

  * Feature #44 <https://github.com/SBG-Systems/sbg_ros_driver/issues/44> - odometry output
  * fix #66 <https://github.com/SBG-Systems/sbg_ros_driver/issues/66> - status description for SbgGpsHdt msg
  * fix #66 <https://github.com/SBG-Systems/sbg_ros_driver/issues/66> - missing heading and pitch accuracies in sbgGpsHdt msg
  * add ellipse D default configuration
  * update README
  * Contributors: Michael Zemb

 -- SBG Systems <support@sbg-systems.com>  Tue, 05 Oct 2021 22:00:00 -0000

ros-noetic-sbg-driver (3.0.0-7buster) buster; urgency=high

  * Merge pull request #62 <https://github.com/SBG-Systems/sbg_ros_driver/issues/62> from SBG-Systems/devel
    Devel
  * Merge pull request #61 <https://github.com/SBG-Systems/sbg_ros_driver/issues/61> from SBG-Systems/fix-frame-convention
    Fix frame convention errors
  * Make sure only delta angles/velocities are used
    + syntax fixes
  * Improved comments & README file
  * Fix missing checks on UTC / Unix time computation
  * Updated sbgECom messages definitions
  * Update README.md and releasePackage.md
  * Clean up readme
  * Fix position accuracy
  * Replace pow by multiplication
  * Complete README.md
  * Fix bugs in message wrapper and complete message definitions
  * Fix Z GPS velocity
  * Fix frame convention errors
  * Merge pull request #59 <https://github.com/SBG-Systems/sbg_ros_driver/issues/59> from SBG-Systems/fix-frame-id
    Fix param name
  * Fix param name
  * Fix inconsistent tab and spaces usages.
    Now all files are using spaces
  * Add wrap 2PI
  * Fix bugs
  * Fix matrix accuracy
  * Fix course
  * wrapper: Fix ENU->NED for GPS messages
  * warpper: Change createrVector3 names
  * wrapper: Fix setter
  * wrapper: Fix missing ENU conversion an add comment for cov
  * wrapper: Fix regresion
  * coding style : Remove tables
  * publisher: Configure the wrapper before init the publisher
  * main: Fix loopFrequency type
  * config: Restore output configuration
  * config: Replace enu by use_enu
  * enu: Replace enu by use_enu and rename frame convertion function
  * frame_id: Change default value
  * clean up
  * #51 <https://github.com/SBG-Systems/sbg_ros_driver/issues/51> - Correctly fill convariances parameters
  * project: Update maintainer
  * config: Update parameters
  * #45 <https://github.com/SBG-Systems/sbg_ros_driver/issues/45>-#50 <https://github.com/SBG-Systems/sbg_ros_driver/issues/50> - Add parameters to set frame ID and ENU convention
  * #48 <https://github.com/SBG-Systems/sbg_ros_driver/issues/48> - # 52 Add a parameter to select header stamp source and read ROS time when publishing the message
  * #47 <https://github.com/SBG-Systems/sbg_ros_driver/issues/47> Remove node ros::Rate period auto computation and only read it from a node parameter
  * clean up: Remove blank spaces
  * Merge pull request #35 <https://github.com/SBG-Systems/sbg_ros_driver/issues/35> from ShepelIlya/patch-1
    Fixed time_stamp value initializing in SbgEkfNavMessage.
  * Added/updated license to MIT
  * Updated maintainer
  * Fixed timeStamp value initializing in SbgEkfNavMessage.
  * Contributors: Michael Zemb, Raphael Siryani, ShepelIlya, bsaussay, rsiryani

 -- SBG Systems <support@sbg-systems.com>  Mon, 30 Aug 2021 22:00:00 -0000

ros-noetic-sbg-driver (2.0.3-7buster) buster; urgency=high

  * Improve matrix handling
  * Fix body velocity computation (Issue #31 <https://github.com/SBG-Systems/sbg_ros_driver/issues/31>)

 -- SBG Systems <support@sbg-systems.com>  Tue, 31 Mar 2020 22:00:00 -0000

ros-noetic-sbg-driver (2.0.1-7buster) buster; urgency=high

  * Improve vector handling
  * Fix include file (Issue #26 <https://github.com/SBG-Systems/sbg_ros_driver/issues/26>)

 -- SBG Systems <support@sbg-systems.com>  Thu, 23 Jan 2020 23:00:00 -0000

ros-noetic-sbg-driver (2.0.0-7buster) buster; urgency=high

  * Fix integer type
  * Update sbgECom messages (AirData, ImuShort)
  * Update sbgECom library to 1.11.920-stable
  * Improve numeric type
  * Improve configuration applier
  * Improve error handling
  * Code improvement
  * Improve device configuration
  * Update changelog
  * Update and improve README.md
  * Update magnetic services
  * Improve message timestamping
  * Add some ROS standard sensor messages (Issue #17 <https://github.com/SBG-Systems/sbg_ros_driver/issues/17>)
  * Comply file structure to ROS best pratices
  * Add a processing time to improve message handling
  * Add udev rules to documentation (Issue #21 <https://github.com/SBG-Systems/sbg_ros_driver/issues/21>)
  * Improve magnetometers calibration
  * Update maintainer of the package (Issue #20 <https://github.com/SBG-Systems/sbg_ros_driver/issues/20>)
  * Enable/Disable the configuration of the device (Issue #19 <https://github.com/SBG-Systems/sbg_ros_driver/issues/19>)
  * Define unified class and launch files for all SBG devices
  * Define classes for device configuration
  * Merge pull request #18 <https://github.com/SBG-Systems/sbg_ros_driver/issues/18> from SBG-Systems/messagePublisherRework
  * Integrate new message publisher to the Ellipse class (Issue #15 <https://github.com/SBG-Systems/sbg_ros_driver/issues/15>)
  * Define a class to publish messages
  * Define class to wrap SBG logs to Ros messages
  * Merge pull request #16 <https://github.com/SBG-Systems/sbg_ros_driver/issues/16> from SBG-Systems/v4.3
  * [src] Update SDK version + add LogE support
  * Merge pull request #13 <https://github.com/SBG-Systems/sbg_ros_driver/issues/13> from nicolaje/remove-non-ascii-char


=== debian/control ===
Source: ros-noetic-sbg-driver
Section: misc
Priority: optional
Maintainer: SBG Systems <support@sbg-systems.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-msgs, ros-noetic-tf2-ros
Homepage: http://wiki.ros.org/sbg_driver
Standards-Version: 3.9.2

Package: ros-noetic-sbg-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-msgs, ros-noetic-tf2-ros
Description: ROS driver package for communication with the SBG navigation systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-sbg-driver//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
